<?php get_header(); ?>
	<!--中间部分-->
	<div class="wp-center">
		<div class="layui-container">
			<div class="layui-row layui-col-space18">
				<div class="layui-col-lg9">
					<!--面包屑导航-->
					<div class = "crumbs">
						<?php if(function_exists('cmp_breadcrumbs')) cmp_breadcrumbs();?>
					</div>
					<!--面包屑导航END-->
					<?php
						$args=array(
						 'orderby' => date
						);
						$arms = array_merge($args, $wp_query->query);
						 query_posts($arms)?> 
						 <?php if (have_posts()) : while (have_posts()) :the_post();?>
							<div class="single">
						<h2><a href="<?php echo get_permalink();  ?>"><?php the_title(); ?></a></h2>
						<h5 data-no-instant>
							<span class = "layui-hide-xs"><i class="fa fa-folder-o"></i> <?php xiaoz_category(); ?></span>  <span><i class="fa fa-comment-o"></i> <a href="#comments"><?php echo $post->comment_count; ?>条评论</a></span>  
							<span class = "layui-hide-xs"><i class="fa fa-calendar-check-o"></i> <?php the_time('Y-n-j'); ?></span>  <span><i class="fa fa-eye"></i>  <?php get_post_views($post -> ID); ?> views</span>
							<span class = "layui-hide-xs"><?php edit_post_link('编辑', '<i class="fa fa-edit"></i> ', ''); ?></span>
							<?php if( current_user_can( 'manage_options' ) ) { ?>
							<!-- <span class = "layui-hide-xs"><i class="fa fa-send"></i> <a href="javascript:;" onclick = "pushbaidu()">百度推送</a></span> -->
							<?php } ?>
						</h5>
						<!--<div class = "layui-hide-xs">
							<a href="https://www.xrcloud.net/ruicloud/fractive?from=tYKn0n0eKrPi" target = "_blank" rel = "nofollow"><img src="https://cdn.xiaoz.me/wp-content/uploads/2018/10/xr_top.png"></a>
						</div>-->
						<!-- 文章标题下方的广告 -->
						<?php if( !empty( of_get_option('gg6') ) ){ ?>
						<div class = "gg6">
							<?php echo of_get_option('gg6'); ?>
						</div>
						<?php } ?>
						<!-- 文章标题下方的广告END -->
						
						<div id="content" data-no-instant>
							<!-- 如果设置不为空则显示 -->
							<?php if( !empty(of_get_option('single_description')) ) { ?>
							<div class="msg">
								<i class="layui-icon layui-icon-speaker" style="color: #FF5722;font-weight:bold;"></i>
								<em>
									<?php echo of_get_option('single_description'); ?>
								</em>
							</div>
							<?php } ?>
							<!-- 如果设置不为空则显示 -->
							<?php the_content(); ?>
						</div>
						<hr>
						<!-- 存在标签才显示 -->
						<?php if( get_the_tag_list() ){ ?>
						<div class="tag">
							<?php echo get_the_tag_list('<p><i  class="fa fa-tags"></i> 标签: ', ', ', '</p>'); ?>
						</div>
						<?php } ?>
						<!-- 标签END -->
						<div class="clear"></div>
						<div class="gg6">
							<?php echo of_get_option('ad_single_bottom'); ?>
                        </div>
						<div class="layui-row gg5">
							<!-- <div class="layui-col-lg5 left">
								<a href="https://www.xiaoz.me/laoxue"><img src="https://cdn.xiaoz.me/wp-content/uploads/2018/08/aff01_350_60.png" alt=""></a>
							</div> -->
							<div class="layui-col-lg5 layui-col-xs12 layui-btn-primary previous">
								<?php
									$previous_post = get_previous_post();
									if( !empty($previous_post) ){
										$link =  get_permalink($previous_post->ID);
										echo "上一篇：<a href = '{$link}' title = '{$previous_post->post_title}'>{$previous_post->post_title}</a>";
									}
									else{
										echo '上一篇：没有了';
									}
								?>
							</div>
							<div class="layui-col-lg2 layui-hide-xs">
								<center><a href="javascript:;" onclick = "donate('<?php echo of_get_option('donate','https:\/\/www.xiaoz.me/api/pay/'); ?>')" class="layui-btn layui-btn-danger" style = "margin-bottom:0.5em;"><i class="fa fa-paypal"></i> 打赏支持</a></center>
							</div>
							<div class="layui-col-lg5 ayui-col-xs12 layui-btn-primary next">
								<?php
									$next_post = get_next_post();
									if( !empty($next_post) ){
										$link =  get_permalink($next_post->ID);
										echo "下一篇：<a href = '{$link}' title = '{$next_post->post_title}'>{$next_post->post_title}</a>";
									}
									else{
										echo '下一篇：没有了';
									}
								?>
							</div>
							<!-- <div class="layui-col-lg5 right">
								<a href="https://www.xiaoz.me/archives/10217"><img data-src="holder.js/350x60?theme=sky&text=Bandwagon VPS/CN2网络"></a>
							</div> -->
						</div>
						
					</div>		
						<?php endwhile;
						endif;
						wp_reset_query();
					?>
					
					<?php comments_template(); ?>
					
				</div>
				<!--侧边栏-->
				<div class="layui-col-lg3">
					<?php get_sidebar(); ?>  					
				</div>

				<!--侧边栏END-->
			</div>
		</div>
	</div>
	<!--中间部分END-->
	<?php get_footer(); ?>
	
