//layui根目录配置
layui.config({
    base: '/wp-content/themes/xiaozTheme/layui/',
})
//一般直接写在一个js文件中
layui.use(['layer', 'form' ,'element','carousel'], function(){
  	var layer = layui.layer;
  	var form = layui.form;
  	var element = layui.element;
  	//var carousel = layui.carousel;

  	//幻灯片
  	//carousel.render({
	  //  elem: '#carousel'
	  //  ,width: '100%' //设置容器宽度
	  //  ,height:'200px'
	  //  ,arrow: 'always' //始终显示箭头
	  //  //,anim: 'updown' //切换动画方式
  	//});
  
	//图片查看器
	layer.photos({
	  photos: '#content'
	  ,anim: 5 //0-6的选择，指定弹出图片动画类型，默认随机（请注意，3.0之前的版本用shift参数）
	});
});

//返回顶部按钮
function gotop(){
	$("html,body").animate({scrollTop: '0px'}, 600);
}
//兼容以前的代码高亮
//$(document).ready(function(){
//	var uri = window.location.pathname;
//	uri = uri.split("/");
//	uri = uri.pop();
//	if(uri <= 10639){
//		$("#content pre code").css({"margin-top":"-20px","font-size":"14px"});
//	}
//});

//文章发布器
function publish(){
	layui.use('layer',function(){
		var layer = layui.layer;
	});
	layer.load(1);
	url = $("#xurl").val();
	key = $("#xkey").val();
	apiurl = "/api/url2io.php?key=" + key + "&url=" + url;
	$.get(apiurl,function(data,status){
		if(status == 'success'){
			layer.msg(data);

          	//关闭加载层
          	layer.closeAll('loading');
		}
	});
}

//推送到百度
function pushbaidu(){
	//获取当前页面URL
	url = window.location.href;
	layui.use('layer',function(){
		var layer = layui.layer;
	});
	//请求API推送
	$.get("/api/xiongzhang.php?url=" + url,function(data,status){
		var data = eval('(' + data + ')');
		if(data.success_realtime >= 1){
			layer.msg("推送成功！");
		}
		else if(data.code == 0){
			layer.msg(data.msg);
		}
		else{
			layer.msg('未知错误！');
		}
	});
}

//诗词接口
$(document).ready(function(){
	$("#jinrishici img").attr("src","https://v2.jinrishici.com/one.svg");
});
//切换诗词
function nextShici(){
	$("#jinrishici img").attr("src","https://v2.jinrishici.com/one.svg");
}

//捐赠按钮
function donate(url){
    var strs= new Array(); //定义一数组
    strs=url.split(".");
    var ext = strs.pop().toLowerCase();
    switch (ext) {
        case 'jpg':
        case 'png':
        case 'bmp':
        case 'gif':
            layer.open({
                type: 1, 
                title:'创作不易，用心坚持，请作者喝一怀咖啡吧！',
                //area: ['680px', '68%'],
                content: '<center><img src = "' + url + '"</center>'
            }); 
            break;
    
        default:
            layer.open({
                type: 2, 
                title:'创作不易，用心坚持，请作者喝一怀咖啡吧！',
                area: ['680px', '68%'],
                content: url
            }); 
            break;
    }
	
	// layer.open({
	//   	type: 2, 
	//   	title:'创作不易，用心坚持，请作者喝一怀咖啡吧！',
	//   	area: ['680px', '68%'],
	//   	content: url
	// }); 
}


//代码高亮
$('pre code').each(function(i, block) {
	try{
		hljs.highlightBlock(block);
	}catch(e){

	}
});
//清除CDN缓存
$(document).ready(function(){
    $("#submit").click(function(){
        var uri = "https://www.xiaoz.me/dcache" + window.location.pathname;
        $.get(uri,function(data,status){
            return true;
        });
    });
});
//base 64编码、解码函数
function Base64() {
 
    // private property
    _keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
 
    // public method for encoding
    this.encode = function (input) {
        var output = "";
        var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
        var i = 0;
        input = _utf8_encode(input);
        while (i < input.length) {
            chr1 = input.charCodeAt(i++);
            chr2 = input.charCodeAt(i++);
            chr3 = input.charCodeAt(i++);
            enc1 = chr1 >> 2;
            enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
            enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
            enc4 = chr3 & 63;
            if (isNaN(chr2)) {
                enc3 = enc4 = 64;
            } else if (isNaN(chr3)) {
                enc4 = 64;
            }
            output = output +
            _keyStr.charAt(enc1) + _keyStr.charAt(enc2) +
            _keyStr.charAt(enc3) + _keyStr.charAt(enc4);
        }
        return output;
    }
 
    // public method for decoding
    this.decode = function (input) {
        var output = "";
        var chr1, chr2, chr3;
        var enc1, enc2, enc3, enc4;
        var i = 0;
        input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
        while (i < input.length) {
            enc1 = _keyStr.indexOf(input.charAt(i++));
            enc2 = _keyStr.indexOf(input.charAt(i++));
            enc3 = _keyStr.indexOf(input.charAt(i++));
            enc4 = _keyStr.indexOf(input.charAt(i++));
            chr1 = (enc1 << 2) | (enc2 >> 4);
            chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
            chr3 = ((enc3 & 3) << 6) | enc4;
            output = output + String.fromCharCode(chr1);
            if (enc3 != 64) {
                output = output + String.fromCharCode(chr2);
            }
            if (enc4 != 64) {
                output = output + String.fromCharCode(chr3);
            }
        }
        output = _utf8_decode(output);
        return output;
    }
 
    // private method for UTF-8 encoding
    _utf8_encode = function (string) {
        string = string.replace(/\r\n/g,"\n");
        var utftext = "";
        for (var n = 0; n < string.length; n++) {
            var c = string.charCodeAt(n);
            if (c < 128) {
                utftext += String.fromCharCode(c);
            } else if((c > 127) && (c < 2048)) {
                utftext += String.fromCharCode((c >> 6) | 192);
                utftext += String.fromCharCode((c & 63) | 128);
            } else {
                utftext += String.fromCharCode((c >> 12) | 224);
                utftext += String.fromCharCode(((c >> 6) & 63) | 128);
                utftext += String.fromCharCode((c & 63) | 128);
            }
 
        }
        return utftext;
    }
 
    // private method for UTF-8 decoding
    _utf8_decode = function (utftext) {
        var string = "";
        var i = 0;
        var c = c1 = c2 = 0;
        while ( i < utftext.length ) {
            c = utftext.charCodeAt(i);
            if (c < 128) {
                string += String.fromCharCode(c);
                i++;
            } else if((c > 191) && (c < 224)) {
                c2 = utftext.charCodeAt(i+1);
                string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
                i += 2;
            } else {
                c2 = utftext.charCodeAt(i+1);
                c3 = utftext.charCodeAt(i+2);
                string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
                i += 3;
            }
        }
        return string;
    }
}
//作者邮箱进行base64解码
//$(document).ready(function(){
//	var b64 = new Base64();
//	var author_email = $("#author_email").text();
//	author_email = b64.decode(author_email);
//	//$("#author_email").text(author_email);
//});

//$("#author_email a").click(function(){
//	var b64 = new Base64();
//	var author_email = $("#author_email").val();
//	console.log(author_email);
//	author_email = b64.decode(author_email);
//	$("#author_email").text(author_email);
//});
function author_email(e_mail){
	var b64 = new Base64();
	e_mail = b64.decode(e_mail);
	$("#author_email").text(e_mail);
}
//上传图片到ImgURL
function imgurl(){
	layer.open({
		'title':'将图片上传至ImgURL',
	  type: 2, 
	  area: ['86%', '86%'],
	  content: 'https://imgurl.org/'
	}); 
}
//获取COOkie的函数，https://blog.csdn.net/fjj15732621696/article/details/80304359
function getCookie(cookieName){  
        var cookieValue="";  
        if (document.cookie && document.cookie != '') {   
            var cookies = document.cookie.split(';');  
            for (var i = 0; i < cookies.length; i++) {   
                 var cookie = cookies[i];  
                 if (cookie.substring(0, cookieName.length + 2).trim() == cookieName.trim() + "=") {  
                       cookieValue = cookie.substring(cookieName.length + 2, cookie.length);   
                       break;  
                 }  
             }  
        }   
        return cookieValue;  
    }
//对特殊字符解码
function txt_decode(str)
{
	//var newstr = tex
	str = str.replace(/\+/g," ");
	str = str.replace(/%40/g,"@");
	str = str.replace(/%2F/g,"/");
	str = str.replace(/%3A/g,":");
	return str;
}
$(document).ready(function(){ 
		//这个值是通过md5( $siteurl ) 生成的，参考：http://hookr.io/constants/cookiehash/
	var cookie_hash = '4b9a67f28d9854f9e61f8d69120f6c6b';
    var author = getCookie("comment_author_" + cookie_hash); 
    var author = txt_decode(author);
    var email = getCookie("comment_author_email_" + cookie_hash);
    var email = txt_decode(email);
    var url = getCookie("comment_author_url_" + cookie_hash);
    var url = txt_decode(url);
	//alert(url);
    //先清空缓存的用户信息
    $("#author").val(author);
    $("#email").val(email);
    $("#url").val(url);
});
//手机搜索框
function search(){
    layer.open({
        type: 1,
        title: false,
        content: $('#search'),
        area: ['90%']
    });
}