<!DOCTYPE html>
<html lang="zh-cmn-Hans" xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta charset="utf-8" />
	<title><?php xiaoz_title(); ?></title>
	<meta name="author" content="xiaoz" />
	<?php wp_seo(); ?>
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/layui/css/layui.css">
	<!-- <link rel='stylesheet' href='https://libs.xiaoz.top/layui/v2.4.3/css/layui.css'> -->
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style.css?v=1.12">
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/static/font-awesome/css/font-awesome.min.css">
	<!-- <link rel='stylesheet' href='https://libs.xiaoz.top/font-awesome/4.7.0/css/font-awesome.min.css'> -->
	<!-- <link rel='stylesheet' href='https://libs.xiaoz.top/highlight.js/9.12.0/styles/github.min.css'> -->
	<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/static/github.min.css">
	<!--百度统计-->
	<script>
	<?php echo of_get_option('analysis'); ?>
	</script>
	<!--百度统计END-->
</head>
<body>
	<div id="top"></div>
	<div class="top"><a href="javascript:;" title = "返回顶部" onclick = "gotop()"><i class="layui-icon">&#xe604;</i> </a></div>
	<!--顶部菜单-->
	<div class="wp-top">
		<div class="layui-container">
			<div class="layui-row">
				<div class="layui-col-lg2 logo">
					<div><h1><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1></div>
					<div class = "small-title"><a href="<?php bloginfo('url'); ?>"><?php bloginfo('description'); ?></a></div>
				</div>
				<!--顶部菜单-->
				<div class="layui-col-lg10 menu">
					<div class="layui-col-lg12 layui-hide-xs">
						<?php
						  wp_nav_menu( array( 
						    'theme_location' => 'header-menu', //导航别名
						    'menu_class' => 'layui-nav', //引用layui-nav样式
						    'walker' => new new_walker(), //引用刚才的重构
						  ));
						?>
					</div>
					<!--手机菜单-->
					<!-- <div class="lyaui-col-lg8 layui-hide-lg layui-hide-lg layui-hide-md">
						<ul class="layui-nav" lay-filter="">
						  <li class="layui-nav-item" data-no-instant>
							  <a href="javascript:;"><i class="fa fa-bars fa-lg"></i></a>
							  <dl class="layui-nav-child">
							      <dd><a href="/about">关于</a></dd>
							      <dd><a href="/note/">xiaoz笔记</a></dd>
							      <dd><a href="https://imgurl.org/" target= "_blank" rel = "nofollow">免费图床</a></dd>
							  </dl>
						  </li>
						</ul>
					</div> -->
					<div class="layui-col-xs4 layui-hide-lg layui-hide-lg layui-hide-md">
						<ul class="layui-nav" lay-filter="">
						  <li class="layui-nav-item" data-no-instant>
						  		<button onclick = "search();" class = "moblie_search"><i class="fa fa-lg fa-search"></i></button>
							  <!-- <a href="javascript:;" ></a> -->
						  </li>
						</ul>
					</div>
					<!--手机菜单END-->
				</div>
				<!--顶部菜单END-->
			</div>
		</div>
	</div>
	<div class="clear"></div>
	<!--顶部菜单END-->